Status: Closed
Priority: Normal
Assignee: Stephen Benjamin
Category: Smart Proxy
Target version:
Difficulty: Fixed in Releases: 1.20.0
Triaged: No Found in Releases:
Bugzilla link: 1599322 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/6064
Description

belongs_to_proxy ignores the “required” option, so you can set invalid proxy ID's, which ends up hitting database constraints. For
example:

$ hammer -u admin -p changeme realm create —--name Potato —--realm-proxy-id '941' —--realm-type Freel
PA
Could not create the realm:

PG::ForeignKeyViolation: ERROR: 1insert or update on table "realms" violates foreign key constra
int "realms_realm_proxy_id_fk"

DETAIL: Key (realm_proxy_id)=(941) is not present in table "smart_proxies".

INSERT INTO "realms" ("name", "realm_type", "realm_proxy_id", "created_at", "updated_at") VALU

ES ($1, $2, $3, $4, $5) RETURNING "id"

Whereas it should say something like this:

$ hammer -u admin -p changeme realm create —--name Potato —--realm-proxy-id '941' --realm-type Freel
PA
Could not create the realm:

Realm proxy was not found

Associated revisions

Revision 75d02d8e - 09/21/2018 07:19 AM - Stephen Benjamin

fixes #24935 - validate existence of proxy assocations

History

#1 - 09/13/2018 04:54 PM - Stephen Benjamin
- Bugzilla link set to 1599322

#2 - 09/13/2018 05:08 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Stephen Benjamin

- Pull request https://github.com/theforeman/foreman/pull/6064 added

#3 - 09/21/2018 07:20 AM - Timo Goebel
- Fixed in Releases 1.20.0 added

#4 - 09/21/2018 08:01 AM - Stephen Benjamin
- Status changed from Ready For Testing to Closed

Applied in changeset 75d02 f2f2 1 1 2f 1b.
